## org.apache.http.params
Interface HttpParamsNames

All Known Implementing Classes:
  AbstractHttpParams, BasicHttpParams, DefaultedHttpParams, SyncBasicHttpParams

    public interface HttpParamsNames

Gives access to the full set of parameter names.

Since:
  4.2
See Also:
  `HttpParams`

Method Summary
`Set<String>` `getNames()` Returns the current set of names; in the case of stacked parameters, returns the names from all the participating HttpParams instances.

Method Detail

### getNames

    Set<String> getNames()

  Returns the current set of names; in the case of stacked parameters, returns the names from all the participating HttpParams instances. Changes to the underlying HttpParams are not reflected in the set - it is a snapshot.

  Returns:
    the names, as a Set<String>

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.